#include <bits/stdc++.h>
using namespace std;
long long t,u,b,g,x,y,zbir;
long long fakt(long long a){
    return a*(a+1)/2;
}
int main (){
    cin>>t;
    for(int i=1; i<=t; i++){
    x=0;
    y=0;
    zbir=0;
    cin>>u>>b>>g;
    x=u/g;
    y=u%g;
    zbir=fakt(x)*g+y*(x+1);
    if(zbir<=b and u>=g){
        cout<<"Tak"<<endl;
    }
    else{
        cout<<"Nie"<<endl;
    }
    }


return 0;
}